ncurses_noqiflush
ncurses_pair_content
Ncurses Functions
PHP Manual

# ncurses_noraw

Switch terminal out of raw mode

### Description

bool ncurses_noraw ( void )
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

Switches the terminal out of raw mode. Raw mode is similar to cbreak mode, in that characters typed are immediately passed through to the user program. The differences that are that in raw mode, the interrupt, quit, suspend and flow control characters are all passed through uninterpreted, instead of generating a signal.

### Return Values

Returns `TRUE` if any error occurred, otherwise `FALSE`.

### See Also

- ncurses_raw
- ncurses_cbreak
- ncurses_nocbreak